Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 3800)
+++ admin/preferences.php	(revision 3874)
@@ -25,5 +25,5 @@
 $user_options = $core->auth->getOptions();
 if (empty($user_options['editor']) || !is_array($user_options['editor'])) {
-    $user_options['editor'] = array();
+    $user_options['editor'] = [];
 }
 
@@ -60,5 +60,5 @@
 if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) ||
     !empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction']) ||
-    !empty($_GET['db-updated'])) {
+    !empty($_GET['db-updated']) || !empty($_POST['resetorder'])) {
     $default_tab = 'user-favorites';
 } elseif (!empty($_GET['updated'])) {
@@ -75,5 +75,5 @@
 # Format by editors
 $formaters         = $core->getFormaters();
-$format_by_editors = array();
+$format_by_editors = [];
 foreach ($formaters as $editor => $formats) {
     foreach ($formats as $format) {
@@ -81,5 +81,5 @@
     }
 }
-$available_formats = array('' => '');
+$available_formats = ['' => ''];
 foreach (array_keys($format_by_editors) as $format) {
     $available_formats[$format] = $format;
@@ -90,5 +90,5 @@
 $status_combo = dcAdminCombos::getPostStatusescombo();
 
-$iconsets_combo = array(__('Default') => '');
+$iconsets_combo = [__('Default') => ''];
 $iconsets_root  = dirname(__FILE__) . '/images/iconset/';
 if (is_dir($iconsets_root) && is_readable($iconsets_root)) {
@@ -103,5 +103,5 @@
 
 # Body base font size (37.5% = 6px, 50% = 8px, 62.5% = 10px, 75% = 12px, 87.5% = 14px)
-$htmlfontsize_combo = array(
+$htmlfontsize_combo = [
     __('Smallest') => '37.5%',
     __('Smaller')  => '50%',
@@ -109,5 +109,5 @@
     __('Larger')   => '75%',
     __('Largest')  => '87,5%'
-);
+];
 # Ensure Font size is set to default is empty
 if ($user_ui_htmlfontsize == '') {
@@ -119,8 +119,8 @@
 
 # Get 3rd parts xhtml editor flags
-$rte = array(
-    'blog_descr' => array(true, __('Blog description (in blog parameters)')),
-    'cat_descr'  => array(true, __('Category description'))
-);
+$rte = [
+    'blog_descr' => [true, __('Blog description (in blog parameters)')],
+    'cat_descr'  => [true, __('Category description')]
+];
 $rte = new ArrayObject($rte);
 $core->callBehavior('adminRteFlags', $core, $rte);
@@ -136,13 +136,13 @@
 
 # Get default colums (admin lists)
-$cols = array(
-    'posts' => array(__('Posts'), array(
-        'date'       => array(true, __('Date')),
-        'category'   => array(true, __('Category')),
-        'author'     => array(true, __('Author')),
-        'comments'   => array(true, __('Comments')),
-        'trackbacks' => array(true, __('Trackbacks'))
-    ))
-);
+$cols = [
+    'posts' => [__('Posts'), [
+        'date'       => [true, __('Date')],
+        'category'   => [true, __('Category')],
+        'author'     => [true, __('Author')],
+        'comments'   => [true, __('Comments')],
+        'trackbacks' => [true, __('Trackbacks')]
+    ]]
+];
 $cols = new arrayObject($cols);
 $core->callBehavior('adminColumnsLists', $core, $cols);
@@ -255,11 +255,11 @@
         $core->auth->user_prefs->interface->put('media_by_page', (integer) $_POST['user_ui_media_by_page'], 'integer');
         $core->auth->user_prefs->interface->put('media_nb_last_dirs', (integer) $_POST['user_ui_media_nb_last_dirs'], 'integer');
-        $core->auth->user_prefs->interface->put('media_last_dirs', array(), 'array', null, false);
-        $core->auth->user_prefs->interface->put('media_fav_dirs', array(), 'array', null, false);
+        $core->auth->user_prefs->interface->put('media_last_dirs', [], 'array', null, false);
+        $core->auth->user_prefs->interface->put('media_fav_dirs', [], 'array', null, false);
 
         # Update user columns (lists)
-        $cu = array();
+        $cu = [];
         foreach ($cols as $col_type => $cols_list) {
-            $ct = array();
+            $ct = [];
             foreach ($cols_list[1] as $col_name => $col_data) {
                 $ct[$col_name] = isset($_POST['cols_' . $col_type]) && in_array($col_name, $_POST['cols_' . $col_type], true) ? true : false;
@@ -272,5 +272,5 @@
 
         # Update user xhtml editor flags
-        $rf = array();
+        $rf = [];
         foreach ($rte as $rk => $rv) {
             $rf[$rk] = isset($_POST['rte_flags']) && in_array($rk, $_POST['rte_flags'], true) ? true : false;
@@ -285,5 +285,5 @@
 
         dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
-        $core->adminurl->redirect("admin.user.preferences", array(), '#user-options');
+        $core->adminurl->redirect("admin.user.preferences", [], '#user-options');
     } catch (Exception $e) {
         $core->error->add($e->getMessage());
@@ -313,5 +313,5 @@
 
         dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
-        $core->adminurl->redirect("admin.user.preferences", array(), '#user-favorites');
+        $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
     } catch (Exception $e) {
         $core->error->add($e->getMessage());
@@ -335,5 +335,5 @@
         if (!$core->error->flag()) {
             dcPage::addSuccessNotice(__('Favorites have been successfully added.'));
-            $core->adminurl->redirect("admin.user.preferences", array(), '#user-favorites');
+            $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
         }
     } catch (Exception $e) {
@@ -348,5 +348,5 @@
             throw new Exception(__('No favorite selected'));
         }
-        $user_fav_ids = array();
+        $user_fav_ids = [];
         foreach ($core->favs->getFavoriteIDs(false) as $v) {
             $user_fav_ids[$v] = true;
@@ -360,5 +360,5 @@
         if (!$core->error->flag()) {
             dcPage::addSuccessNotice(__('Favorites have been successfully removed.'));
-            $core->adminurl->redirect("admin.user.preferences", array(), '#user-favorites');
+            $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
         }
     } catch (Exception $e) {
@@ -368,5 +368,5 @@
 
 # Order favs
-$order = array();
+$order = [];
 if (empty($_POST['favs_order']) && !empty($_POST['order'])) {
     $order = $_POST['order'];
@@ -386,5 +386,5 @@
     if (!$core->error->flag()) {
         dcPage::addSuccessNotice(__('Favorites have been successfully updated.'));
-        $core->adminurl->redirect("admin.user.preferences", array(), '#user-favorites');
+        $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
     }
 }
@@ -397,5 +397,18 @@
     if (!$core->error->flag()) {
         dcPage::addSuccessNotice(__('Default favorites have been successfully updated.'));
-        $core->adminurl->redirect("admin.user.preferences", array(), '#user-favorites');
+        $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
+    }
+}
+
+# Reset dashboard items order
+if (!empty($_POST['resetorder'])) {
+    $core->auth->user_prefs->dashboard->drop('main_order');
+    $core->auth->user_prefs->dashboard->drop('boxes_order');
+    $core->auth->user_prefs->dashboard->drop('boxes_items_order');
+    $core->auth->user_prefs->dashboard->drop('boxes_contents_order');
+
+    if (!$core->error->flag()) {
+        dcPage::addSuccessNotice(__('Dashboard items order have been successfully reset.'));
+        $core->adminurl->redirect("admin.user.preferences", [], '#user-favorites');
     }
 }
@@ -426,8 +439,8 @@
 
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->auth->userID()) => '',
             $page_title                             => ''
-        ))
+        ])
 );
 
@@ -440,37 +453,37 @@
 
 '<p><label for="user_name">' . __('Last Name:') . '</label>' .
-form::field('user_name', 20, 255, array(
+form::field('user_name', 20, 255, [
     'default'      => html::escapeHTML($user_name),
     'autocomplete' => 'family-name'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_firstname">' . __('First Name:') . '</label>' .
-form::field('user_firstname', 20, 255, array(
+form::field('user_firstname', 20, 255, [
     'default'      => html::escapeHTML($user_firstname),
     'autocomplete' => 'given-name'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_displayname">' . __('Display name:') . '</label>' .
-form::field('user_displayname', 20, 255, array(
+form::field('user_displayname', 20, 255, [
     'default'      => html::escapeHTML($user_displayname),
     'autocomplete' => 'nickname'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_email">' . __('Email:') . '</label>' .
-form::email('user_email', array(
+form::email('user_email', [
     'default'      => html::escapeHTML($user_email),
     'autocomplete' => 'email'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_url">' . __('URL:') . '</label>' .
-form::url('user_url', array(
+form::url('user_url', [
     'size'         => 30,
     'default'      => html::escapeHTML($user_url),
     'autocomplete' => 'url'
-)) .
+]) .
 '</p>' .
 
@@ -488,7 +501,7 @@
     '<p class="pw-cell"><label for="new_pwd">' . __('New password:') . '</label>' .
     form::password('new_pwd', 20, 255,
-        array(
+        [
             'extra_html'   => 'data-indicator="pwindicator"',
-            'autocomplete' => 'new-password')
+            'autocomplete' => 'new-password']
     ) . '</p>' .
     '<div id="pwindicator">' .
@@ -500,12 +513,12 @@
     '<p><label for="new_pwd_c">' . __('Confirm new password:') . '</label>' .
     form::password('new_pwd_c', 20, 255,
-        array(
-            'autocomplete' => 'new-password')
+        [
+            'autocomplete' => 'new-password']
     ) . '</p>' .
 
     '<p><label for="cur_pwd">' . __('Your current password:') . '</label>' .
     form::password('cur_pwd', 20, 255,
-        array(
-            'autocomplete' => 'current-password')
+        [
+            'autocomplete' => 'current-password']
     ) . '</p>' .
     '<p class="form-note warn">' .
@@ -597,5 +610,5 @@
         echo
         '<p><label for="cols_' . $col_type . '-' . $col_name . '" class="classic">' .
-        form::checkbox(array('cols_' . $col_type . '[]', 'cols_' . $col_type . '-' . $col_name), $col_name, $col_data[0]) . $col_data[1] . '</label>';
+        form::checkbox(['cols_' . $col_type . '[]', 'cols_' . $col_type . '-' . $col_name], $col_name, $col_data[0]) . $col_data[1] . '</label>';
     }
     echo '</div>';
@@ -613,6 +626,6 @@
     '<p class="field"><label for="user_editor_' . $format . '">' . sprintf(__('Preferred editor for %s:'), $format) . '</label>' .
     form::combo(
-        array('user_editor[' . $format . ']', 'user_editor_' . $format),
-        array_merge(array(__('Choose an editor') => ''), $editors),
+        ['user_editor[' . $format . ']', 'user_editor_' . $format],
+        array_merge([__('Choose an editor') => ''], $editors),
         $user_options['editor'][$format]
     ) . '</p>';
@@ -644,5 +657,5 @@
     echo
     '<p><label for="rte_' . $rk . '" class="classic">' .
-    form::checkbox(array('rte_flags[]', 'rte_' . $rk), $rk, $rv[0]) . $rv[1] . '</label>';
+    form::checkbox(['rte_flags[]', 'rte_' . $rk], $rk, $rv[0]) . $rv[1] . '</label>';
 }
 echo '</div>';
@@ -669,4 +682,5 @@
 echo '<h3>' . __('My dashboard') . '</h3>';
 
+# Favorites
 echo '<form action="' . $core->adminurl->get("admin.user.preferences") . '" method="post" id="favs-form" class="two-boxes odd">';
 
@@ -686,11 +700,11 @@
         echo '<li id="fu-' . $id . '">' . '<label for="fuk-' . $id . '">' .
         '<img src="' . dc_admin_icon_url($fav['small-icon']) . '" alt="" /> ' . '<span class="zoom"><img src="' . dc_admin_icon_url($fav['large-icon']) . '" alt="" /></span>' .
-        form::field(array('order[' . $id . ']'), 2, 3, array(
+        form::field(['order[' . $id . ']'], 2, 3, [
             'default'    => $count,
             'class'      => 'position',
             'extra_html' => 'title="' . sprintf(__('position of %s'), $fav['title']) . '"'
-        )) .
-        form::hidden(array('dynorder[]', 'dynorder-' . $id . ''), $id) .
-        form::checkbox(array('remove[]', 'fuk-' . $id), $id) . __($fav['title']) . '</label>' .
+        ]) .
+        form::hidden(['dynorder[]', 'dynorder-' . $id . ''], $id) .
+        form::checkbox(['remove[]', 'fuk-' . $id], $id) . __($fav['title']) . '</label>' .
             '</li>';
     }
@@ -727,5 +741,5 @@
 
 $avail_fav       = $core->favs->getFavorites($core->favs->getAvailableFavoritesIDs());
-$default_fav_ids = array();
+$default_fav_ids = [];
 foreach ($core->favs->getFavoriteIDs(true) as $v) {
     $default_fav_ids[$v] = true;
@@ -757,5 +771,5 @@
     '<img src="' . dc_admin_icon_url($fav['small-icon']) . '" alt="" /> ' .
     '<span class="zoom"><img src="' . dc_admin_icon_url($fav['large-icon']) . '" alt="" /></span>' .
-    form::checkbox(array('append[]', 'fak-' . $k), $k) .
+    form::checkbox(['append[]', 'fak-' . $k], $k) .
         $fav['title'] . '</label>' .
         (isset($default_fav_ids[$k]) ? ' <span class="default-fav"><img src="images/selected.png" alt="' . __('(default favorite)') . '" /></span>' : '') .
@@ -774,4 +788,5 @@
 echo '</form>';
 
+# Dashboard items
 echo
 '<form action="' . $core->adminurl->get("admin.user.preferences") . '" method="post" id="db-forms" class="two-boxes even">' .
@@ -835,4 +850,14 @@
     '</form>';
 
+# Dashboard items order (reset)
+echo '<form action="' . $core->adminurl->get("admin.user.preferences") . '" method="post" id="order-reset" class="two-boxes even">';
+echo '<div class="fieldset"><h4>' . __('Dashboard items order') . '</h4>';
+echo
+'<p>' .
+$core->formNonce() .
+'<input type="submit" name="resetorder" value="' . __('Reset dashboard items order') . '" /></p>';
+echo '</div>';
+echo '</form>';
+
 echo '</div>'; # /multipart-user-favorites
 
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 3731)
+++ admin/search.php	(revision 3874)
@@ -26,5 +26,5 @@
     $q = html::escapeHTML($q);
 
-    $params = array();
+    $params = [];
 
     # Get posts
@@ -33,5 +33,5 @@
 
         $params['search']     = $q;
-        $params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+        $params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
         $params['no_content'] = true;
         $params['order']      = 'post_dt DESC';
@@ -50,5 +50,5 @@
 
         $params['search']     = $q;
-        $params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+        $params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
         $params['no_content'] = true;
         $params['order']      = 'comment_dt DESC';
@@ -65,5 +65,5 @@
 
 if ($qtype == 'p') {
-    $posts_actions_page = new dcPostsActionsPage($core, $core->adminurl->get("admin.search"), array('q' => $q, 'qtype' => $qtype));
+    $posts_actions_page = new dcPostsActionsPage($core, $core->adminurl->get("admin.search"), ['q' => $q, 'qtype' => $qtype]);
 
     if ($posts_actions_page->process()) {
@@ -71,5 +71,5 @@
     }
 } else {
-    $comments_actions_page = new dcCommentsActionsPage($core, $core->adminurl->get("admin.search"), array('q' => $q, 'qtype' => $qtype));
+    $comments_actions_page = new dcCommentsActionsPage($core, $core->adminurl->get("admin.search"), ['q' => $q, 'qtype' => $qtype]);
 
     if ($comments_actions_page->process()) {
@@ -80,8 +80,8 @@
 dcPage::open(__('Search'), $starting_scripts,
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Search')                        => ''
-        ))
+        ])
 );
 
@@ -90,6 +90,6 @@
 '<div class="fieldset"><h3>' . __('Search options') . '</h3>' .
 '<p><label for="q">' . __('Query:') . ' </label>' . form::field('q', 30, 255, $q) . '</p>' .
-'<p><label for="qtype1" class="classic">' . form::radio(array('qtype', 'qtype1'), 'p', $qtype == 'p') . ' ' . __('Search in entries') . '</label> ' .
-'<label for="qtype2" class="classic">' . form::radio(array('qtype', 'qtype2'), 'c', $qtype == 'c') . ' ' . __('Search in comments') . '</label></p>' .
+'<p><label for="qtype1" class="classic">' . form::radio(['qtype', 'qtype1'], 'p', $qtype == 'p') . ' ' . __('Search in entries') . '</label> ' .
+'<label for="qtype2" class="classic">' . form::radio(['qtype', 'qtype2'], 'c', $qtype == 'c') . ' ' . __('Search in comments') . '</label></p>' .
 '<p><input type="submit" value="' . __('Search') . '" /></p>' .
     '</div>' .
@@ -117,5 +117,5 @@
 
             '<p class="col right"><label for="action1" class="classic">' . __('Selected entries action:') . '</label> ' .
-            form::combo(array('action', 'action1'), $posts_actions_page->getCombo()) .
+            form::combo(['action', 'action1'], $posts_actions_page->getCombo()) .
             '<input id="do-action" type="submit" value="' . __('ok') . '" /></p>' .
             $core->formNonce() .
@@ -144,5 +144,5 @@
 
             '<p class="col right"><label for="action2" class="classic">' . __('Selected comments action:') . '</label> ' .
-            form::combo(array('action', 'action2'), $comments_actions_page->getCombo()) .
+            form::combo(['action', 'action2'], $comments_actions_page->getCombo()) .
             '<input id="do-action" type="submit" value="' . __('ok') . '" /></p>' .
             $core->formNonce() .
Index: admin/services.php
===================================================================
--- admin/services.php	(revision 3781)
+++ admin/services.php	(revision 3874)
@@ -10,19 +10,20 @@
 require dirname(__FILE__) . '/../inc/admin/prepend.php';
 
-$core->rest->addFunction('getPostsCount', array('dcRestMethods', 'getPostsCount'));
-$core->rest->addFunction('getCommentsCount', array('dcRestMethods', 'getCommentsCount'));
-$core->rest->addFunction('checkNewsUpdate', array('dcRestMethods', 'checkNewsUpdate'));
-$core->rest->addFunction('checkCoreUpdate', array('dcRestMethods', 'checkCoreUpdate'));
-$core->rest->addFunction('getPostById', array('dcRestMethods', 'getPostById'));
-$core->rest->addFunction('getCommentById', array('dcRestMethods', 'getCommentById'));
-$core->rest->addFunction('quickPost', array('dcRestMethods', 'quickPost'));
-$core->rest->addFunction('validatePostMarkup', array('dcRestMethods', 'validatePostMarkup'));
-$core->rest->addFunction('getZipMediaContent', array('dcRestMethods', 'getZipMediaContent'));
-$core->rest->addFunction('getMeta', array('dcRestMethods', 'getMeta'));
-$core->rest->addFunction('delMeta', array('dcRestMethods', 'delMeta'));
-$core->rest->addFunction('setPostMeta', array('dcRestMethods', 'setPostMeta'));
-$core->rest->addFunction('searchMeta', array('dcRestMethods', 'searchMeta'));
-$core->rest->addFunction('setSectionFold', array('dcRestMethods', 'setSectionFold'));
-$core->rest->addFunction('getModuleById', array('dcRestMethods', 'getModuleById'));
+$core->rest->addFunction('getPostsCount', ['dcRestMethods', 'getPostsCount']);
+$core->rest->addFunction('getCommentsCount', ['dcRestMethods', 'getCommentsCount']);
+$core->rest->addFunction('checkNewsUpdate', ['dcRestMethods', 'checkNewsUpdate']);
+$core->rest->addFunction('checkCoreUpdate', ['dcRestMethods', 'checkCoreUpdate']);
+$core->rest->addFunction('getPostById', ['dcRestMethods', 'getPostById']);
+$core->rest->addFunction('getCommentById', ['dcRestMethods', 'getCommentById']);
+$core->rest->addFunction('quickPost', ['dcRestMethods', 'quickPost']);
+$core->rest->addFunction('validatePostMarkup', ['dcRestMethods', 'validatePostMarkup']);
+$core->rest->addFunction('getZipMediaContent', ['dcRestMethods', 'getZipMediaContent']);
+$core->rest->addFunction('getMeta', ['dcRestMethods', 'getMeta']);
+$core->rest->addFunction('delMeta', ['dcRestMethods', 'delMeta']);
+$core->rest->addFunction('setPostMeta', ['dcRestMethods', 'setPostMeta']);
+$core->rest->addFunction('searchMeta', ['dcRestMethods', 'searchMeta']);
+$core->rest->addFunction('setSectionFold', ['dcRestMethods', 'setSectionFold']);
+$core->rest->addFunction('getModuleById', ['dcRestMethods', 'getModuleById']);
+$core->rest->addFunction('setDashboardPositions', ['dcRestMethods', 'setDashboardPositions']);
 
 $core->rest->serve();
@@ -39,5 +40,5 @@
     public static function getPostsCount($core, $get)
     {
-        $count = $core->blog->getPosts(array(), true)->f(0);
+        $count = $core->blog->getPosts([], true)->f(0);
         $str   = sprintf(__('%d post', '%d posts', $count), $count);
 
@@ -56,5 +57,5 @@
     public static function getCommentsCount($core, $get)
     {
-        $count = $core->blog->getComments(array(), true)->f(0);
+        $count = $core->blog->getComments([], true)->f(0);
         $str   = sprintf(__('%d comment', '%d comments', $count), $count);
 
@@ -86,5 +87,5 @@
                 $feed = $feed_reader->parse($GLOBALS['__resources']['rss_news']);
                 if ($feed) {
-                    $ret = '<div class="box medium dc-box"><h3>' . __('Dotclear news') . '</h3><dl id="news">';
+                    $ret = '<div class="box medium dc-box" id="ajax-news"><h3>' . __('Dotclear news') . '</h3><dl id="news">';
                     $i   = 1;
                     foreach ($feed->items as $item) {
@@ -132,7 +133,7 @@
                 if (version_compare(phpversion(), $updater->getPHPVersion()) >= 0) {
                     $ret =
-                    '<div class="dc-update"><h3>' . sprintf(__('Dotclear %s is available!'), $new_v) . '</h3> ' .
+                    '<div class="dc-update" id="ajax-update"><h3>' . sprintf(__('Dotclear %s is available!'), $new_v) . '</h3> ' .
                     '<p><a class="button submit" href="' . $core->adminurl->get("admin.update") . '">' . sprintf(__('Upgrade now'), $new_v) . '</a> ' .
-                    '<a class="button" href="' . $core->adminurl->get("admin.update", array('hide_msg' => 1)) . '">' . __('Remind me later') . '</a>' .
+                    '<a class="button" href="' . $core->adminurl->get("admin.update", ['hide_msg' => 1]) . '">' . __('Remind me later') . '</a>' .
                         ($version_info ? ' </p>' .
                         '<p class="updt-info"><a href="' . $version_info . '">' . __('Information about this version') . '</a>' : '') . '</p>' .
@@ -165,5 +166,5 @@
         }
 
-        $params = array('post_id' => (integer) $get['id']);
+        $params = ['post_id' => (integer) $get['id']];
 
         if (isset($get['post_type'])) {
@@ -231,5 +232,5 @@
         }
 
-        $rs = $core->blog->getComments(array('comment_id' => (integer) $get['id']));
+        $rs = $core->blog->getComments(['comment_id' => (integer) $get['id']]);
 
         if ($rs->isEmpty()) {
@@ -307,5 +308,5 @@
         $rsp->id = $return_id;
 
-        $post = $core->blog->getPosts(array('post_id' => $return_id));
+        $post = $core->blog->getPosts(['post_id' => $return_id]);
 
         $rsp->post_status = $post->post_status;
@@ -391,9 +392,9 @@
         $sortby = !empty($get['sortby']) ? $get['sortby'] : 'meta_type,asc';
 
-        $rs = $core->meta->getMetadata(array(
+        $rs = $core->meta->getMetadata([
             'meta_type' => $metaType,
             'limit'     => $limit,
             'meta_id'   => $metaId,
-            'post_id'   => $postid));
+            'post_id'   => $postid]);
         $rs = $core->meta->computeMetaStats($rs);
 
@@ -450,8 +451,8 @@
 
         # Get previous meta for post
-        $post_meta = $core->meta->getMetadata(array(
+        $post_meta = $core->meta->getMetadata([
             'meta_type' => $post['metaType'],
-            'post_id'   => $post['postId']));
-        $pm = array();
+            'post_id'   => $post['postId']]);
+        $pm = [];
         while ($post_meta->fetch()) {
             $pm[] = $post_meta->meta_id;
@@ -493,5 +494,5 @@
         $sortby = !empty($get['sortby']) ? $get['sortby'] : 'meta_type,asc';
 
-        $rs = $core->meta->getMetadata(array('meta_type' => $metaType));
+        $rs = $core->meta->getMetadata(['meta_type' => $metaType]);
         $rs = $core->meta->computeMetaStats($rs);
 
@@ -548,5 +549,5 @@
             $toggles = explode(',', trim($core->auth->user_prefs->toggles->unfolded_sections));
         } else {
-            $toggles = array();
+            $toggles = [];
         }
         $k = array_search($section, $toggles);
@@ -566,4 +567,24 @@
     }
 
+    public static function setDashboardPositions($core, $get, $post)
+    {
+        if (empty($post['id'])) {
+            throw new Exception('No zone name');
+        }
+        if (empty($post['list'])) {
+            throw new Exception('No sorted list of id');
+        }
+
+        if ($core->auth->user_prefs->dashboard === null) {
+            $core->auth->user_prefs->addWorkspace('dashboard');
+        }
+
+        $zone  = $post['id'];
+        $order = $post['list'];
+
+        $core->auth->user_prefs->dashboard->put($zone, $order);
+        return true;
+    }
+
     public static function getModuleById($core, $get, $post)
     {
@@ -577,5 +598,5 @@
         $id     = $get['id'];
         $list   = $get['list'];
-        $module = array();
+        $module = [];
 
         if ($list == 'plugin-activate') {
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 3771)
+++ admin/update.php	(revision 3874)
@@ -37,5 +37,5 @@
 
 $step = isset($_GET['step']) ? $_GET['step'] : '';
-$step = in_array($step, array('check', 'download', 'backup', 'unzip')) ? $step : '';
+$step = in_array($step, ['check', 'download', 'backup', 'unzip']) ? $step : '';
 
 $default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'update';
@@ -44,5 +44,5 @@
 }
 
-$archives = array();
+$archives = [];
 foreach (files::scanDir(DC_BACKUP_PATH) as $v) {
     if (preg_match('/backup-([0-9A-Za-z\.-]+).zip/', $v)) {
@@ -159,8 +159,8 @@
         : ''),
     dcPage::breadcrumb(
-        array(
+        [
             __('System')          => '',
             __('Dotclear update') => ''
-        ))
+        ])
 );
 
@@ -211,5 +211,5 @@
         foreach ($archives as $v) {
             echo
-            '<p><label class="classic">' . form::radio(array('backup_file'), html::escapeHTML($v)) . ' ' .
+            '<p><label class="classic">' . form::radio(['backup_file'], html::escapeHTML($v)) . ' ' .
             html::escapeHTML($v) . '</label></p>';
         }
